Bug 165195 - ttmkfdir misses several encodings in TTF files
ttmkfdir misses several encodings in TTF files
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ttmkfdir (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
:
Depends On: 143941
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-05 05:17 EDT by Jens Petersen
Modified: 2010-10-21 23:14 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-14 05:35:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2005-08-05 05:17:31 EDT
+++ This bug was initially created as a clone of Bug #143941 +++

Description of problem:
Several encodings contained in TTF files are missed in the output file
"fonts.scale" generated by ttmkfdir on Fedora Core 3.

I found this problem accidentally by trying to select a font to make
xmms be able to display English and Chinese at the same time. I ended
up with the "fonts.scale" in /usr/share/fonts/zh_CN/TrueType/:

4
gkai00mp.ttf -Arphic Technology Co.-AR PL KaitiM
GB-medium-r-normal--0-0-0-0-c-0-ascii-0
gkai00mp.ttf -Arphic Technology Co.-AR PL KaitiM
GB-medium-r-normal--0-0-0-0-c-0-iso10646-1
gbsn00lp.ttf -Arphic Technology Co.-AR PL SungtiL
GB-medium-r-normal--0-0-0-0-c-0-ascii-0
gbsn00lp.ttf -Arphic Technology Co.-AR PL SungtiL
GB-medium-r-normal--0-0-0-0-c-0-iso10646-1

I compared this file with the same one on Redhat Enterprise Linux 3.0 ES:

11
gbsn00lp.ttf -Arphic Technology Co.-AR PL SungtiL
GB-medium-r-normal--0-0-0-0-c-0-ascii-0
gbsn00lp.ttf -Arphic Technology Co.-AR PL SungtiL
GB-medium-r-normal--0-0-0-0-c-0-gb2312.1980-0
gbsn00lp.ttf -Arphic Technology Co.-AR PL SungtiL
GB-medium-r-normal--0-0-0-0-c-0-iso10646-1
gkai00mp.ttf -Arphic Technology Co.-AR PL KaitiM
GB-medium-r-normal--0-0-0-0-c-0-ascii-0
gkai00mp.ttf -Arphic Technology Co.-AR PL KaitiM
GB-medium-r-normal--0-0-0-0-c-0-gb2312.1980-0
gkai00mp.ttf -Arphic Technology Co.-AR PL KaitiM
GB-medium-r-normal--0-0-0-0-c-0-iso10646-1
zysong.ttf -misc-ZYSong18030-medium-r-normal--0-0-0-0-c-0-ascii-0
zysong.ttf -misc-ZYSong18030-medium-r-normal--0-0-0-0-c-0-gb18030.2000-1
zysong.ttf -misc-ZYSong18030-medium-r-normal--0-0-0-0-c-0-gb2312.1980-0
zysong.ttf -misc-ZYSong18030-medium-r-normal--0-0-0-0-c-0-gbk-0
zysong.ttf -misc-ZYSong18030-medium-r-normal--0-0-0-0-c-0-iso10646-1

As you can see here, only two encodings are generated for gbsn00lp.ttf
and gkai00mp.ttf on FC3, while each of them has three encodings. More
interestingly the ttmkfdir on FC3 also only generate two encodings for
zysong.ttf:

zysong.ttf -misc-ZYSong18030-medium-r-normal--0-0-0-0-c-0-ascii-0
zysong.ttf -misc-ZYSong18030-medium-r-normal--0-0-0-0-c-0-iso10646-1

But zysong.ttf actually contains FIVE encodings!!!

Then I tried to use the RHEL3-version binary ttmkfdir to generate
fonts.scale on FC3 but I got a "segmentation fault" error. And the
compilation of ttmkfdir-3.0.9-6.src.rpm (from RHEL3) on FC3 failed!

Version-Release number of selected component (if applicable):
ttmkfdir-3.0.9-14

How reproducible:
Always

Steps to Reproduce:
1. On FC3, run the command: ttmkfdir -d
/usr/share/fonts/zh_CN/TrueType/ -o fonts.scale
2. The generated fonts.scale misses all actual chinese encodings!
3.
    

Actual Results:  4
gkai00mp.ttf -Arphic Technology Co.-AR PL KaitiM
GB-medium-r-normal--0-0-0-0-c-0-ascii-0
gkai00mp.ttf -Arphic Technology Co.-AR PL KaitiM
GB-medium-r-normal--0-0-0-0-c-0-iso10646-1
gbsn00lp.ttf -Arphic Technology Co.-AR PL SungtiL
GB-medium-r-normal--0-0-0-0-c-0-ascii-0
gbsn00lp.ttf -Arphic Technology Co.-AR PL SungtiL
GB-medium-r-normal--0-0-0-0-c-0-iso10646-1


Expected Results:  6
gbsn00lp.ttf -Arphic Technology Co.-AR PL SungtiL
GB-medium-r-normal--0-0-0-0-c-0-ascii-0
gbsn00lp.ttf -Arphic Technology Co.-AR PL SungtiL
GB-medium-r-normal--0-0-0-0-c-0-gb2312.1980-0
gbsn00lp.ttf -Arphic Technology Co.-AR PL SungtiL
GB-medium-r-normal--0-0-0-0-c-0-iso10646-1
gkai00mp.ttf -Arphic Technology Co.-AR PL KaitiM
GB-medium-r-normal--0-0-0-0-c-0-ascii-0
gkai00mp.ttf -Arphic Technology Co.-AR PL KaitiM
GB-medium-r-normal--0-0-0-0-c-0-gb2312.1980-0
gkai00mp.ttf -Arphic Technology Co.-AR PL KaitiM
GB-medium-r-normal--0-0-0-0-c-0-iso10646-1
Comment 1 Jens Petersen 2005-08-05 05:21:00 EDT
This original bug 143941  was originally  files for Fedora Core,
then moved to RHEL... so here is a new bug for FC. :)
Sorry for the confusion.

Fixed packages for FC3 and FC4 are coming...
Comment 2 Rahul Sundaram 2005-09-05 02:05:45 EDT
Have the updates been released for this?
Comment 3 Mike A. Harris 2005-09-14 05:35:36 EDT
Bug #143941 indicates that FC3/FC4 updates did go out for this.


Note You need to log in before you can comment on or make changes to this bug.